/*
 * connection.h
 * 
 * Copyright (C) 2007  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef NETBOARD_CONNECTION_H
#define NETBOARD_CONNECTION_H

#include "status.h"

enum {
	S_C_NONE,		/* before initialization */
	S_C_OFFLINE,		/* nothing at all */
	
	S_C_CONNECTING,		/* network backend launched, waiting
				   for connection */

	S_C_CONNECTED,		/* connection is ok */
	
	S_C_DISCONNECTING,	/* closing connection */
	S_C_EXITING,		/* disconnect & exit */
	S_C_RECONNECT,		/* reconnect */

	S_C_MAX
};


extern STATUS *connection_status;

void connection_init(void);
void connection_cleanup(void);

#endif

