/*
 * 	debug.h
 * 	
 * 	Josef Kufner <jkufner@seznam.cz>
 * 	2002-09-06
 *
 * 	Makra pro zobrazovani ladicich vypisu
 *
 * 
 * Changelog:
 *
 *   2007-07-30
 * 	* added DISABLE_ALL_DEBUG
 * 	* added funtion name
 * 
 *   2002-09-06
 * 	* basic version
 */

/*
 *  Hodnota makra DEBUG:
 *     0 ... Zadne vypisy
 *     1 ... Malo vypisu - jen kriticke chyby
 *     :
 *     :
 *    10 ... Uplne vsechny vypisy
 */

#if !defined(DISABLE_ALL_DEBUG) && defined(DEBUG) && DEBUG > 0

#define DBG_MSG(level, msg, arg...)					\
{									\
	if (level <= DEBUG)						\
		fprintf(stderr, "%s:%d:%s: " msg "\n", 			\
				__FILE__, __LINE__, __func__, ##arg);	\
}

#else

#define DBG_MSG(level, msg, arg...)

#endif
