/*
 * draw.h
 * 
 * Copyright (C) 2005-2007  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef NETBOARD_DRAW_H
#define NETBOARD_DRAW_H

int draw_image_load (const char *dir, const char *file, int id);
void draw_image_remove (int id);

int draw_object_add (int object_id, int image_id, int x, int y, int height, int width);
void draw_object_delete (int object_id);
void draw_object_move (int object_id, int x, int y);

int  draw_get_object_by_xy (int x, int y);

void draw_init (GtkWidget *drawing_area);
void draw_remove_all (void);
void draw_all (void);
void draw_all_real(void);
int draw_save_screenshot_png(const char *dir, const char *file);

#endif
