/*
 * record.h
 * 
 * Copyright (C) 2007  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef NETBOARD_RECORD_H
#define NETBOARD_RECORD_H

#include <gtk/gtk.h>

enum {
	RECORD_COL_TIME,
	RECORD_COL_CMD,
	RECORD_COL_ADDRESS,
	RECORD_COL_REMOTE,
	RECORD_COL_STATE,
	RECORD_COL_STATE_PARAM,
	RECORD_COL_IS_VALID,
	RECORD_COL_DESC,
	RECORD_COL_MAX
};

extern GtkListStore *record_store;


int record_init(void);
void record_cleanup(void);
void record_enable(int enable);

void record_append(int time, const char *cmd, const char *address, int remote, int state, const char *state_param, int is_valid, const char *desc);
int record_get_last_state(const char *addr);


#endif

