/*
 * callbacks.h
 * 
 * Copyright (C) 2006  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef JK_CALLBACKS_H
#define JK_CALLBACKS_H

#include "main.h"	/* includes loudmouth and glib */
#include "process.h"

gboolean stdin_data_cb(GIOChannel *source, GIOCondition condition, gpointer data);

void connection_open_cb(LmConnection *connection, gboolean success, gpointer user_data);

LmSSLResponse ssl_cb(LmSSL *ssl, LmSSLStatus status, gpointer ud);

void connection_auth_cb(LmConnection *connection, gboolean success, gpointer user_data);

LmHandlerResult connection_presence_cb (LmMessageHandler *handler, LmConnection *connection, LmMessage *message, gpointer user_data);

LmHandlerResult connection_message_cb (LmMessageHandler *handler, LmConnection *connection, LmMessage *message, gpointer user_data);

#endif

